
Foreman - Bug #29362

run seeds in initialization if templates have changed

03/17/2020 12:35 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Templates   

Target version: 2.0.1   

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7610

  

Description

currently seeds only run when one of the seeds has changed, we should also include the templates in the calculated hashs and

reseed them if they have changed.

Related issues:

Related to Foreman - Feature #28519: Allow storing if db:seed is required wit... Closed

Associated revisions

Revision 7e1aebd5 - 05/07/2020 11:58 AM - Tomer Brisker

Fixes #29362 - Include templates in seed hash calculation

Otherwise, changes to default templates will not trigger a seeding on

startup if no other seeds have changed.

History

#1 - 03/17/2020 12:38 PM - Tomer Brisker

- Related to Feature #28519: Allow storing if db:seed is required within the DB. added

#2 - 03/19/2020 12:54 PM - Tomer Brisker

- Target version changed from 2.0.0 to 2.0.1

doesn't have to be in 2.0.0 since seeds will run anyways now. but should be fixed soon.

#3 - 04/26/2020 03:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7610 added

#4 - 05/07/2020 11:58 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 05/07/2020 12:01 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 7e1aebd56f7b95bacea565e3e86391eddaafefc4.

#6 - 05/26/2020 10:07 AM - Tomer Brisker

- Fixed in Releases 2.0.1 added
